Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar
Interface IGlobals

All Known Implementing Classes:
  Determiner, GrammarManager, Hieroglyph, HieroglyphManager, Ideogram, Phonogram, SequenceFormatManager, Syllable, TestBiliteral, TestDeterminer, TestGrammarManager, TestMdC, TestRoot, TestsPPA, TestsToHieroglyphs, TestsToPhonetic, TestsToTransliteration, TestsToTransliteration, TestsToType, TestsToType, TestTriliteral, TestUniliteral, Transliteration, TransliterationManager

    public interface IGlobals

Since:
  0.1
Author:
  fabricemaupin

  attributes used by all business process.

Field Summary
`static int` | `ALL` hieroglyph feature : UNILITERAL, BILITERAL, TRILITERAL.
`static int` | `ANALYSE_FROM_SIGNS` used by the sequence manager.
`static int` | `BILITERAL` hieroglyph feature : BILITERAL.
`static int` | `CONSONAT` consomn.
`static java.lang.String` | `exceptionnalVo` exceptional vowel.
`static java.lang.String` | `grammarMainClassName` class name of implemented grammar.
`static int` | `MAX_PART_OF_NOUN` maximum of part of noun.
`static int` | `MAX_PART_OF_PREPOSITION` maximum of part of preposition.
`static int` | `MAX_PART_OF_PRONOUNS` maximum of part of pronoun.
`static java.lang.String` | `methodNameToManageHieroglyphs` name of method for convert to hieroglyphs (used by grammar manager for grammar business).
`static java.lang.String` | `methodNameToManageTransliteration` name of method for convert to transliteration (used by grammar manager for grammar business).
`static java.lang.String` | `methodNameToPhoneticRead` name of method for get phonetic read (used by grammar manager for grammar business).
`static java.lang.String` | `methodNameToPhoneticReadWithGlobalApproach` name of method for get phonetic read with global approach (used by grammar manager for grammar business).
`static int` | `minVersionJRE` minimale version of supported JRE.
`static int` | `NUMBER_OF_TYPE_OF_PHONOGRAMS` number of type of phonograms.
`static int` | `PROPOSITION_TYPE_PPA` PPA.
`static java.lang.String` | `selectedGrammar` name of the package for implemented grammar.
`static int` | `SEMI_CONSONAT` semi consomn.
`static int` | `TO_FORMAT` the output is the format of the sequence.
`static int` | `TO_HIEROGLYPHS` the output is the hieroglyphs.
`static int` | `TO_READ` the output is the phonetic read of each part of the sequence.
`static int` | `TO_TRANSLITERATION` the output is the transliteration.
`static int` | `TO_TYPE` the output is the type of each part of the sequence.
`static int` | `TRILITERAL` hieroglyph feature : TRILITERAL.
`static int` | `UNILITERAL` hieroglyph feature : UNILITERAL.
`static java.lang.String[]` | `vo` list of vowels.

Field Detail

### grammarMainClassName

    static final java.lang.String grammarMainClassName

  class name of implemented grammar.

  See Also:
    Constant Field Values

### selectedGrammar

    static final java.lang.String selectedGrammar

  name of the package for implemented grammar.

  See Also:
    Constant Field Values

### methodNameToManageTransliteration

    static final java.lang.String methodNameToManageTransliteration

  name of method for convert to transliteration (used by grammar manager for grammar business).

### methodNameToManageHieroglyphs

    static final java.lang.String methodNameToManageHieroglyphs

  name of method for convert to hieroglyphs (used by grammar manager for grammar business).

### methodNameToPhoneticRead

    static final java.lang.String methodNameToPhoneticRead

  name of method for get phonetic read (used by grammar manager for grammar business).

### methodNameToPhoneticReadWithGlobalApproach

    static final java.lang.String methodNameToPhoneticReadWithGlobalApproach

  name of method for get phonetic read with global approach (used by grammar manager for grammar business).

### CONSONAT

    static final int CONSONAT

  consomn.

  See Also:
    Constant Field Values

### SEMI_CONSONAT

    static final int SEMI_CONSONAT

  semi consomn.

  See Also:
    Constant Field Values

### UNILITERAL

    static final int UNILITERAL

  hieroglyph feature : UNILITERAL.

  See Also:
    Constant Field Values

### BILITERAL

    static final int BILITERAL

  hieroglyph feature : BILITERAL.

  See Also:
    Constant Field Values

### TRILITERAL

    static final int TRILITERAL

  hieroglyph feature : TRILITERAL.

  See Also:
    Constant Field Values

### ALL

    static final int ALL

  hieroglyph feature : UNILITERAL, BILITERAL, TRILITERAL.

  See Also:
    Constant Field Values

### NUMBER_OF_TYPE_OF_PHONOGRAMS

    static final int NUMBER_OF_TYPE_OF_PHONOGRAMS

  number of type of phonograms.

  See Also:
    Constant Field Values

### vo

    static final java.lang.String[] vo

  list of vowels.

### exceptionnalVo

    static final java.lang.String exceptionnalVo

  exceptional vowel.

  See Also:
    Constant Field Values

### ANALYSE_FROM_SIGNS

    static final int ANALYSE_FROM_SIGNS

  used by the sequence manager.

  See Also:
    Constant Field Values

### minVersionJRE

    static final int minVersionJRE

  minimale version of supported JRE.

  See Also:
    Constant Field Values

### TO_HIEROGLYPHS

    static final int TO_HIEROGLYPHS

  the output is the hieroglyphs.

  See Also:
    Constant Field Values

### TO_TRANSLITERATION

    static final int TO_TRANSLITERATION

  the output is the transliteration.

  See Also:
    Constant Field Values

### TO_TYPE

    static final int TO_TYPE

  the output is the type of each part of the sequence.

  See Also:
    Constant Field Values

### TO_READ

    static final int TO_READ

  the output is the phonetic read of each part of the sequence.

  See Also:
    Constant Field Values

### TO_FORMAT

    static final int TO_FORMAT

  the output is the format of the sequence.

  See Also:
    Constant Field Values

### MAX_PART_OF_PRONOUNS

    static final int MAX_PART_OF_PRONOUNS

  maximum of part of pronoun.

  See Also:
    Constant Field Values

### MAX_PART_OF_PREPOSITION

    static final int MAX_PART_OF_PREPOSITION

  maximum of part of preposition.

  See Also:
    Constant Field Values

### MAX_PART_OF_NOUN

    static final int MAX_PART_OF_NOUN

  maximum of part of noun.

  See Also:
    Constant Field Values

### PROPOSITION_TYPE_PPA

    static final int PROPOSITION_TYPE_PPA

  PPA.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.